Need help with printer HP 4380, MDV 2008 x64 - Mandriva

This is a discussion on Need help with printer HP 4380, MDV 2008 x64 - Mandriva ; [colin@dodo ~]$ cd Desktop [colin@dodo Desktop]$ sh hplip-2.7.12.run Creating directory hplip-2.7.12 Verifying archive integrity... All good. Uncompressing HPLIP 2.7.12 Self Extracting Archivehplip-2.7.12.run: line 343: cd: hplip-2.7.12: Permission denied .................................................. .................................................. .................................................. .................................................. .................................................. .................................................. .................................................. .................................................. .................................................. .................................................. .................................................. .................................................. ...

+ Reply to Thread
Results 1 to 2 of 2

Thread: Need help with printer HP 4380, MDV 2008 x64

  1. Need help with printer HP 4380, MDV 2008 x64

    [colin@dodo ~]$ cd Desktop
    [colin@dodo Desktop]$ sh hplip-2.7.12.run
    Creating directory hplip-2.7.12
    Verifying archive integrity... All good.
    Uncompressing HPLIP 2.7.12 Self Extracting Archivehplip-2.7.12.run: line
    343: cd: hplip-2.7.12: Permission denied
    .................................................. .................................................. .................................................. .................................................. .................................................. .................................................. .................................................. .................................................. .................................................. .................................................. .................................................. .................................................. .................................................. .................................................. .................................................. .................................................. .................................................. .................................................. .................................................. .........................................
    .................................................. .................................................. .................................................. .................................................. .................................................. .................................................. .................................................. .................................................. .................................................. .................................................. .................................................. .................................................. .................................................. .................................................. .................................................. .................................................. .................................................. .................................................. .................................................. .........................................
    .................................................. .................................................. .................................................. .................................................. ..............................................hpli p-2.7.12.run:
    line 345: cd: hplip-2.7.12: Permission denied
    chown: `./hplip-2.7.12': Permission denied
    chgrp: `./hplip-2.7.12': Permission denied

    hplip-2.7.12.run: line 356: cd: hplip-2.7.12: Permission denied

    HP Linux Imaging and Printing System (ver. 2.7.12)
    HPLIP Installer ver. 3.0

    Copyright (c) 2001-7 Hewlett-Packard Development Company, LP
    This software comes with ABSOLUTELY NO WARRANTY.
    This is free software, and you are welcome to distribute it
    under certain conditions. See COPYING file for more details.

    Installer log saved in: hplip-install_Mon-21-Jan-2008_09:14:55.log

    |
    note: Defaults for each question are maked with a '*'. Press to
    accept the default.


    INSTALLATION MODE
    -----------------
    Automatic mode will install the full HPLIP solution with the most common
    options.
    Custom mode allows you to chose installation options to fit specific
    requirements.

    Please choose the installation mode (a=automatic*, c=custom, w=web
    installer, q=quit) : a

    Initializing. Please wait...


    INTRODUCTION
    ------------
    This installer will install HPLIP version 2.7.12 on your computer.
    Please close any running package management systems now (YaST, Adept,
    Synaptic, Up2date, etc).


    DISTRO/OS CONFIRMATION
    ----------------------
    Distro appears to be Mandriva Linux 2008.0.

    Is "Mandriva Linux 2008.0" your correct distro/OS and version (y=yes*,
    n=no, q=quit) ? y


    ENTER ROOT/SUPERUSER PASSWORD
    -----------------------------
    Please enter the root/superuser password:
    Password accepted


    INSTALLATION NOTES
    ------------------
    If you are going to be connecting a USB printer, you will need to follow
    the post-installation steps described here:
    http://hplip.sourceforge.net/install.../mandriva.html (Step 7)
    Before proceeding, please add the "contrib", "main", and "updates"
    installation sources to your URPMI configuration./n Open your browser
    and go to http://easyurpmi.zarb.org/ and follow the instructions
    provided and then proceed with the HPLIP install. Also you may wish to
    turn off the cdrom1-12 media sources to speed up the process.

    Please read the installation notes. Press to continue or 'q' to
    quit:


    RUNNING PRE-INSTALL COMMANDS
    ----------------------------
    su - -c "/etc/init.d/cups restart" (Pre-install step 1)


    INSTALL MISSING REQUIRED DEPENDENCIES
    -------------------------------------
    warning: There are 6 missing REQUIRED dependencies.
    note: Installation of dependencies requires an active internet connection.
    warning: Missing REQUIRED dependency: gcc (gcc - GNU Project C and C++
    Compiler)
    warning: Missing REQUIRED dependency: python-devel (python-devel -
    Python development files)
    warning: Missing REQUIRED dependency: cups-devel (cups-devel- Common
    Unix Printing System development files)
    warning: Missing REQUIRED dependency: libusb (libusb - USB library)
    warning: Missing REQUIRED dependency: libtool (libtool - Library
    building support services)
    warning: Missing REQUIRED dependency: libjpeg (libjpeg - JPEG library)


    INSTALL MISSING OPTIONAL DEPENDENCIES
    -------------------------------------
    warning: There are 4 missing OPTIONAL dependencies.
    note: Installation of dependencies requires an active internet connection.
    warning: Missing REQUIRED dependency for option 'network': libcrypto
    (libcrypto - OpenSSL cryptographic library)
    warning: Missing REQUIRED dependency for option 'network':
    libnetsnmp-devel (libnetsnmp-devel - SNMP networking library development
    files)
    warning: Missing REQUIRED dependency for option 'scan': sane-devel (SANE
    - Scanning library development files)
    warning: Missing OPTIONAL dependency for option 'scan': pil (PIL -
    Python Imaging Library (required for commandline scanning with hp-scan))


    CHECKING FOR NETWORK CONNECTION
    -------------------------------
    Network connection present.


    RUNNING PRE-PACKAGE COMMANDS
    ----------------------------
    su - -c "rm /etc/hp/hplip.conf" (Pre-depend step 1)


    DEPENDENCY AND CONFLICT RESOLUTION
    ----------------------------------
    Running 'su - -c "urpmi --auto gcc-c++ python-devel cups-devel
    libusb0.1_4-devel libtool libjpeg62-dev libcryptopp5 libcryptopp5-devel
    libsnmp0-devel libsane1-devel python-imaging"'
    Please wait, this may take several minutes...
    error: Package install command failed with error code 1
    Would you like to retry installing the missing package(s) (y=yes*, n=no,
    q=quit) ? y
    Running 'su - -c "urpmi --auto gcc-c++ python-devel cups-devel
    libusb0.1_4-devel libtool libjpeg62-dev libcryptopp5 libcryptopp5-devel
    libsnmp0-devel libsane1-devel python-imaging"'
    Please wait, this may take several minutes...
    error: Package install command failed with error code 1
    Would you like to retry installing the missing package(s) (y=yes*, n=no,
    q=quit) ? y
    Running 'su - -c "urpmi --auto gcc-c++ python-devel cups-devel
    libusb0.1_4-devel libtool libjpeg62-dev libcryptopp5 libcryptopp5-devel
    libsnmp0-devel libsane1-devel python-imaging"'
    Please wait, this may take several minutes...
    error: Package install command failed with error code 1
    Would you like to retry installing the missing package(s) (y=yes*, n=no,
    q=quit) ? y
    Running 'su - -c "urpmi --auto gcc-c++ python-devel cups-devel
    libusb0.1_4-devel libtool libjpeg62-dev libcryptopp5 libcryptopp5-devel
    libsnmp0-devel libsane1-devel python-imaging"'
    Please wait, this may take several minutes...
    error: Package install command failed with error code 1
    Would you like to retry installing the missing package(s) (y=yes*, n=no,
    q=quit) ? y
    Running 'su - -c "urpmi --auto gcc-c++ python-devel cups-devel
    libusb0.1_4-devel libtool libjpeg62-dev libcryptopp5 libcryptopp5-devel
    libsnmp0-devel libsane1-devel python-imaging"'
    Please wait, this may take several minutes...
    error: Package install command failed with error code 1
    Would you like to retry installing the missing package(s) (y=yes*, n=no,
    q=quit) ? y
    Running 'su - -c "urpmi --auto gcc-c++ python-devel cups-devel
    libusb0.1_4-devel libtool libjpeg62-dev libcryptopp5 libcryptopp5-devel
    libsnmp0-devel libsane1-devel python-imaging"'
    Please wait, this may take several minutes...
    error: Package install command failed with error code 1
    Would you like to retry installing the missing package(s) (y=yes*, n=no,
    q=quit) ? n
    warning: Some HPLIP functionality might not function due to missing
    package(s).


    RUNNING POST-PACKAGE COMMANDS
    -----------------------------
    su - -c "/etc/init.d/cups restart" (Post-depend step 1)


    RE-CHECKING DEPENDENCIES
    ------------------------
    error: A required dependency 'gcc (gcc - GNU Project C and C++
    Compiler)' is still missing.
    error: A required dependency 'python-devel (python-devel - Python
    development files)' is still missing.
    error: A required dependency 'cups-devel (cups-devel- Common Unix
    Printing System development files)' is still missing.
    error: A required dependency 'libusb (libusb - USB library)' is still
    missing.
    error: A required dependency 'libtool (libtool - Library building
    support services)' is still missing.
    error: A required dependency 'libjpeg (libjpeg - JPEG library)' is still
    missing.
    error: Installation cannot continue without these dependencies.
    error: Please manually install this dependency and re-run this installer.
    [colin@dodo Desktop]$

  2. Re: Need help with printer HP 4380, MDV 2008 x64

    My first question is, why are you trying to install a
    package from HP that requires compiling from source?

    Why not launch the Mandriva Linux Control Center (MCC)
    to set up mirrors to obtain software from and use the
    Mandriva packages tailored for 2008.0?

    In a terminal or console window, mcc, enter root
    password. Go to Software management. If you need
    to set up mirrors, go to Configure media sources...
    and add distribution. You will need main, contrib,
    and plf-free and plf-nonfree, plus the updates and
    backports for each of them.

    Then go to Manage software and search for hplip. When
    there are two or more versions of something you thing
    you may need, pick the one with the higher ( xx.1 or
    some such) version number.

    Install all that, and report back.

    Oh, BTW, you may want to uninstall the hplip-2.7.12.run
    stuff first, if it did not do that automatically upon
    failure and there is a way to do it.

    And, if you really want to do it the hard way, read on.

    Mr H wrote:
    > [colin@dodo ~]$ cd Desktop
    > [colin@dodo Desktop]$ sh hplip-2.7.12.run
    > Creating directory hplip-2.7.12
    > Verifying archive integrity... All good.
    > Uncompressing HPLIP 2.7.12 Self Extracting Archivehplip-2.7.12.run: line
    > 343: cd: hplip-2.7.12: Permission denied


    And things went downhill pretty steadily thereafter.

    If you are going to install this package, several things
    will be necessary.

    First, you must su to root and do the deed as superuser.

    Second, you will have to have, installed on your computer
    and available for use, C and C++ compilers, python
    source code, cups packages, and some other things.

    INSTALL MISSING REQUIRED DEPENDENCIES
    -------------------------------------
    warning: There are 6 missing REQUIRED dependencies.
    note: Installation of dependencies requires an active internet
    connection.
    warning: Missing REQUIRED dependency: gcc (gcc - GNU Project C and
    C++ Compiler)
    warning: Missing REQUIRED dependency: python-devel (python-devel -
    Python development files)
    warning: Missing REQUIRED dependency: cups-devel (cups-devel- Common
    Unix Printing System development files)
    warning: Missing REQUIRED dependency: libusb (libusb - USB library)
    warning: Missing REQUIRED dependency: libtool (libtool - Library
    building support services)
    warning: Missing REQUIRED dependency: libjpeg (libjpeg - JPEG library)

    INSTALL MISSING OPTIONAL DEPENDENCIES
    -------------------------------------
    warning: There are 4 missing OPTIONAL dependencies.
    note: Installation of dependencies requires an active internet
    connection.
    warning: Missing REQUIRED dependency for option 'network': libcrypto
    (libcrypto - OpenSSL cryptographic library)
    warning: Missing REQUIRED dependency for option 'network':
    libnetsnmp-devel (libnetsnmp-devel - SNMP networking library
    development files)
    warning: Missing REQUIRED dependency for option 'scan': sane-devel
    (SANE - Scanning library development files)
    warning: Missing OPTIONAL dependency for option 'scan': pil (PIL -
    Python Imaging Library (required for commandline scanning with hp-scan))

    The hp package attempted to get and install these packages,
    but failed. I suggest you use your browser to go to
    http://easyurpmi.zarb.org; carefully, following the
    instructions exactly, set up the repositories you will need
    to download packages from (main, main_updates, main_backports,
    contrib, contrib_updates, contrib_backports, and similarly
    for plf-free and plf-nonfree). Then, from a command line,
    or using the MCC graphic interface download and install the
    things needed.

    Then try rerunning the hp installer, as root.

    If you have problems getting and installing the packages
    needed, post again, specifying exactly what you have done
    and what the results were. We need to know exactly what
    you entered and saw as the responses (not vague descriptions
    of I tried to get cups and failed) if we are to help.

    Cheers!

    jim b.

    --
    UNIX is not user-unfriendly; it merely
    expects users to be computer-friendly.

+ Reply to Thread